# ModifyPortalsUpdate (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.data
Class ModifyPortalsUpdate

    java.lang.Object
      com.threerings.whirled.data.SceneUpdate
          com.threerings.whirled.spot.data.ModifyPortalsUpdate

All Implemented Interfaces:
  com.threerings.io.Streamable, Cloneable

    public class ModifyPortalsUpdate

extends SceneUpdate

A scene update to add/remove portals.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`Portal[]` `portalsAdded` The portals to be added to the scene.
`Portal[]` `portalsRemoved` The portals to be removed from the room.

Constructor Summary
`ModifyPortalsUpdate()`

Method Summary
`void` `apply(SceneModel model)` Applies this update to the specified scene model.
`void` `initialize(int targetId, int targetVersion, Portal[] removed, Portal[] added)` Initialize the update with all necessary data.

Methods inherited from class com.threerings.whirled.data.SceneUpdate
`getSceneId, getSceneVersion, getVersionIncrement, init, persistTo, readObject, toString, unpersistFrom, validate, writeObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portalsRemoved

    public Portal[] portalsRemoved

  The portals to be removed from the room.

### portalsAdded

    public Portal[] portalsAdded

  The portals to be added to the scene.

Constructor Detail

### ModifyPortalsUpdate

    public ModifyPortalsUpdate()

Method Detail

### initialize

    public void initialize(int targetId,
                           int targetVersion,
                           Portal[] removed,
                           Portal[] added)

  Initialize the update with all necessary data.

### apply

    public void apply(SceneModel model)

  Description copied from class: `SceneUpdate`
  Applies this update to the specified scene model. Derived classes will want to override this method and apply updates of their own, being sure to call `super.apply`.

  Overrides:
    `apply` in class `SceneUpdate`

Copyright © 2011. All Rights Reserved.